package javax.activity;

/**
 * This <i>system exception</i> may be thrown on any method for which
 * Activity context is accessed and indicates that ongoing work within the
 * Activity is not possible. This may be because the Activity has been
 * instructed to complete with CompletionStatusFailOnly or has ended as
 * a result of a timeout.
 * This exception will be propagated across ORB boundaries via an
 * org.omg.CORBA.ACTIVITY_COMPLETED system exception.
 * An application should handle this error by
 * attempting to complete the Activity.
 * 
 */
public class ActivityCompletedException extends java.rmi.RemoteException
{
   /**
    * Default constructor for the exception.
    *
    */
   public ActivityCompletedException()
   {
   }
   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code>.
    *
    */
   public ActivityCompletedException(String message)
   {
      _errorMsg = new String(message);
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ActivityCompletedException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
