package javax.activity;

/**
 * This exception is thrown by the Activity service if an attempt is made
 * to complete or hibernate an Activity that has asynchronous work outstanding.
 * An application that receives this exception should wait until any
 * other threads that are operating with
 * this context have suspended their involvement with the context and then
 * try to complete or hibernate the Activity again.
 *
 */
public class ActivityPendingException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ActivityPendingException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ActivityPendingException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
