package javax.activity;

/**
 * This <i>system exception</i> is thrown by a container if Activity
 * context is not received on a method for which Activity context is mandatory.
 * This exception indicates a deployment or application configuration error.
 * This exception will be propagated across ORB boundaries via an
 * org.omg.CORBA.ACTIVITY_REQUIRED system exception.
 *
 */
public class ActivityRequiredException extends java.rmi.RemoteException
{
   /**
    * Default constructor for the exception.
    *
    */
   public ActivityRequiredException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ActivityRequiredException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
