package javax.activity;

/**
 * This exception is thrown by the Activity service if an attempt is made
 * to hibernate or complete, with <code>CompletionStatusSuccess</code>, an Activity that has child contexts outstanding
 * An application that receives this exception should complete or hibernate
 * any outstanding child contexts first. If the exception occurs during completion, the application
 * may force the completion of the
 * current Activity using <code>CompletionStatusFail</code> or <code>CompletionStatusFailOnly</code>. 
 * If an Activity is ended with <code>CompletionStatusFail</code> or <code>CompletionStatusFailOnly</code>,
 * then any outstanding child contexts have their completion statuses set to
 * <code>CompletionStatusFailOnly</code>.
 *
 */
public class ContextPendingException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ContextPendingException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ContextPendingException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
