package javax.activity;

/**
  * A GlobalId uniquely identifies an Activity across the namespace.
  * <br>This objects <code>equals</code> method returns <i>true</i> if the parameter object represents
  * the same Activity as the target object.
  * 
  */                                                                          
public interface GlobalId extends java.io.Serializable
{
   /**
    * Returns a byte array representation of the GlobalId. This is
    * exactly equivalent to the buffer value of the
    * <code>org.omg.CosActivity.GlobalId</code> which is defined in the OMG
    * Activity service specification as a sequence of octets.
    * 
    * @return A byte array that uniquely identifies the Activity across the
    *    namespace.
    *
    */
   public byte[] toBytes();

   /**
    * Returns a printable String that identifies the Activity. This is
    * used for debug and servicability purposes.
    * 
    * @return A printable String that identifies the Activity.
    *
    */
   public String print();

}
