package javax.activity;

/**
 * This <i>system exception</i> may be thrown on any method for which
 * Activity context is accessed and indicates that the attempted invocation
 * or the Activity context associated with the attempted invocation
 * is incompatible with the Activity's current state.
 * It may also be thrown by a container if Activity context is
 * received on a method for which Activity context is forbidden.
 * This exception will be propagated across ORB boundaries via an
 * org.omg.CORBA.INVALID_ACTIVITY system exception.
 * An application should handle this error by attempting to complete the Activity.
 * 
 */
public class InvalidActivityException extends java.rmi.RemoteException
{
   /**
    * Default constructor for the exception.
    *
    */
   public InvalidActivityException()
   {
   }
   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code>.
    *
    */
   public InvalidActivityException(String message)
   {
      _errorMsg = new String(message);
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public InvalidActivityException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;

}
