package javax.activity;

/**
 * This exception is thrown by the Activity service when an attempt is made
 * to begin an Activity as a child of a context whose CompletionStatus is 
 * <i>CompletionStatusFailOnly</i> or to change the state of an Activity from
 * <i>CompletionStatusFailOnly</i>.
 *
 */
public class InvalidStateException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public InvalidStateException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public InvalidStateException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
