package javax.activity;

/**
 * This exception is thrown by the Activity service if an attempt is
 * made by an application to complete an Activity in an execution
 * environment different to that in which the Activity was created.
 * Only the Activity originator may complete an Activity.
 *
 */
public class NotOriginatorException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public NotOriginatorException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public NotOriginatorException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}
