package javax.activity;

/**
  * RecreateData is a marker interface for the serializable object that encapsulates data
  * owned by the Activity service and used by it during the recreation of an Activity.
  * A <code>RecreateData</code> object is created by the Activity service and passed to an HLS when the latter
  * hibernates an Activity or indicates that the Activity has become persistent.
  * An HLS is required to persist a
  * <code>RecreateData</code> object acquired from the Activity service so that it may pass it back to
  * the Activity service if the HLS needs to recreate the Activity.
  */                                                                          
public interface RecreateData extends java.io.Serializable
{
}
