package javax.activity;

/**
 * This exception is thrown by the Activity service if an attempt
 * is made to register a different
 * {@link javax.activity.coordination.ServiceManager ServiceManager}
 * to the one already registered with the target
 * {@link javax.activity.UserActivity UserActivity}.
 * 
 */
public class ServiceAlreadyRegisteredException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ServiceAlreadyRegisteredException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ServiceAlreadyRegisteredException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}                      
