package javax.activity;

/**
 * This exception is thrown by the Activity service if an attempt
 * is made to operate on the <i>active</i> Activity, through
 * a {@link javax.activity.UserActivity UserActivity}
 * or {@link javax.activity.ActivityManager ActivityManager}
 * instance before a 
 * {@link javax.activity.coordination.ServiceManager ServiceManager}
 * has been registered for that instance.
 * 
 */
public class ServiceNotRegisteredException extends java.lang.Exception
{
   /**
    * Default constructor for the exception.
    *
    */
   public ServiceNotRegisteredException()
   {
   }

   /**
    * Constructs an instance of the exception with the specified
    * <code>message</code> and <code>cause</code>.
    *
    */
   public ServiceNotRegisteredException(String message, Throwable cause)
   {
      _errorMsg = new String(message);
      _expn = cause;
   }

   private String _errorMsg=null; 
   private Throwable _expn = null;
}                      
