package javax.activity;

/**
 * During the existence of an Activity its Status will progress from StatusActive
 * through StatusCompleting to StatusCompleted.
 *
 */
public interface Status
{

   /**
    * There is an active Activity associated with the calling thread
    */
   public final static int StatusActive = 0;
   /**
    * The Activity associated with the calling thread is completing
    */
   public final static int StatusCompleting = 1;
   /**
    * The Activity associated with the calling thread has completed
    */
   public final static int StatusCompleted = 2;
   /**
    * There is no Activity associated with the calling thread
    */
   public final static int StatusNoActivity = 3;
   /**
    * The Activity service is unable to determine the status of the Activity
    * associated with the calling thread. This is a transient condition.
    */
   public final static int StatusUnknown = 4;
   /**
    * The Activity service cannot contact the application's signal set
    * to retrieve signals
    */
   public final static int StatusError = 5;
   /**
    * The Activity associated with the calling thread is completing heuristically
    */
   public final static int StatusCompletingHeuristic = 6;

}
