@echo off
rem Configuration file supplied with JSR95 RI and TCK.
rem Use this file to configure the following environment variables
rem
rem set JAVA_HOME  to the directory where you have Java (JDK 1.4 or later) installed. This directory
rem                should have a "bin" subdirectory containing java.exe and optionally javac.exe.
rem
rem set JAVAX_ACTIVITY to the location of the j2ee_activity.jar that contains the JSR95 interfaces.
rem                This jar is part of the JSR95 specification.
rem
rem set JSR95_IMPL_JARS to include any specific jar/zip/classes required by
rem                your Activity Service implementation. If the implementation used is the JSR95 RI then
rem                the implementation jar is "jsr95ri.jar".
rem
rem set PROPS      to include any System properties that are required by
rem                your Activity Service implementation.
rem                eg set PROPS=-Dcom.myorg.myclass.Trace=true
rem
rem set ACTMGR     to the class name of your Activity Service implementation of
rem                the ActivityManager interface, if it has a public constructor
rem
rem set ACTFACTORY to the class name of a Factory used to create instances
rem                of the ActivityManager interface.  Use this if the
rem                ActivityManager class does not have a public constructor.
rem                The factory class must implement a method called
rem                'getObjectInstance' which may take parameters but must
rem                accept null values for them.

if .%JAVA_HOME%==. set JAVA_HOME=

if .%JAVAX_ACTIVITY%==. set JAVAX_ACTIVITY=

if .%JSR95_IMPL_JARS%==. set JSR95_IMPL_JARS=

set CPATH=%JAVAX_ACTIVITY%;%JSR95_IMPL_JARS%;jsr95ut.jar

set PROPS=

set ACTMGR=com.ibm.activity.reference.ActivityManagerImpl

set ACTFACTORY=

rem now set up other environment variables
set JAVACMD=%JAVA_HOME%\bin\java
if NOT "%ACTMGR%" == "" set JAVACMD=%JAVACMD% -Djavax.activity.ActivityManager=%ACTMGR%
if NOT "%ACTFACTORY%" == "" set JAVACMD=%JAVACMD% -Djavax.activity.ActivityManagerFactory=%ACTFACTORY%
set JAVACMD=%JAVACMD% %PROPS%

